;Print 2.0
.literal

.c cr=$000D

.org $0000
	pshn $0040	;Push address of first message onto stack
	jsr /print
	ldan \cr	;Send a CR to the terminal
	snda 0
	pshn $0060	;Push address of second message onto stack
	jsr /print
	hlt
	
.org $0010
print:
	popx		;Pull address from stack
_loop:
	ldaax 0		;Load next byte. Adding X to 0 results in the address, X
	bzs /done	;If we just loaded a 0, exit the loop
	snda 0		;Send the byte we loaded to the terminal
	inx		;Move to the next position
	jmp /_loop	;Loop until we're done
done:
	rts

.org $0040
.z "Hello, world!"
.org $0060
.z "This is a test."
.end
